Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 597110 - scsi_wait_scan waits forever
Summary: scsi_wait_scan waits forever
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 13
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-28 06:58 UTC by Jochen Roth
Modified: 2011-06-27 16:53 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-27 16:53:21 UTC


Attachments (Terms of Use)

Description Jochen Roth 2010-05-28 06:58:41 UTC
Description of problem:
After updating the kernel from 
kernel-2.6.32.11-99.fc12.i686 to 
kernel-2.6.32.12-115.fc12.i686

the system "hung" during boot with no message.
The system boots with acpi=off, but doesn't boot with pci=noacpi

initcall_debug showed me tons of the following messages:

calling  wait_scan_init+0x0/0x11 [scsi_wait_scan] @8413
initcall wait_scan_init+0x0/0x11 [scsi_wait_scan] returned 0 after 1usec

I commented the line 
modprobe scsi_wait_scan && rmmod scsi_wait_scan
in the initramfs which helped me to boot the system again.

Version-Release number of selected component (if applicable):
kernel-2.6.33.4-95.fc13.i686

How reproducible:
always

Steps to Reproduce:
1. Upgrade from F12 to F13
2. Boot the system
3. wait forever
  
Actual results:
System "hangs" respectively waits forever during boot.

Expected results:
Booting into the system.

Additional info:

Another error indicator might be udevd. 

# udevadm monitor

.........
KERNEL[1275030043.433373] change   /devices/pci0000:00/0000:00:1f.2/host1/target1:0:0/1:0:0:0/block/sr0 (block)
UDEV  [1275030043.433397] change   /devices/pci0000:00/0000:00:1f.2/host1/target1:0:0/1:0:0:0 (scsi)
KERNEL[1275030043.472540] change   /devices/pci0000:00/0000:00:1f.2/host1/target1:0:0/1:0:0:0 (scsi)
UDEV  [1275030043.473324] change   /devices/pci0000:00/0000:00:1f.2/host1/target1:0:0/1:0:0:0/block/sr0 (block)
.........


# lspci -v

00:1f.2 SATA controller: Intel Corporation ICH9M/M-E SATA AHCI Controller (rev 03) (prog-if 01 [AHCI 1.0])
	Subsystem: Acer Incorporated [ALI] Device 013c
	Flags: bus master, 66MHz, medium devsel, latency 0, IRQ 27
	I/O ports at 1818 [size=8]
	I/O ports at 180c [size=4]
	I/O ports at 1810 [size=8]
	I/O ports at 1808 [size=4]
	I/O ports at 18e0 [size=32]
	Memory at f4a04000 (32-bit, non-prefetchable) [size=2K]
	Capabilities: [80] MSI: Enable+ Count=1/16 Maskable- 64bit-
	Capabilities: [70] Power Management version 3
	Capabilities: [a8] SATA HBA v1.0
	Capabilities: [b0] PCI Advanced Features
	Kernel driver in use: ahci

Comment 1 arth 2010-05-29 15:58:24 UTC
I see the same initial udev hanging on boot on x86_64 with Intel ICH7 SATA RAID controller when going from 2.6.32.11-99 to 2.6.32.12-115.

I'm using an isw/imsm fakeraid, by the way.

Comment 2 deflexor 2010-11-08 23:27:49 UTC
Get same behaviour on F14, any suggestion how to overcome, maybe simply replace line with sleep 1 ? 
btw my hardware:
00:1f.2 SATA controller: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) SATA AHCI Controller (rev 03) (prog-if 01 [AHCI 1.0])
	Subsystem: COMPAL Electronics Inc Device 0025
	Flags: bus master, 66MHz, medium devsel, latency 0, IRQ 47
	I/O ports at 18d8 [size=8]
	I/O ports at 18cc [size=4]
	I/O ports at 18d0 [size=8]
	I/O ports at 18c8 [size=4]
	I/O ports at 18e0 [size=32]
	Memory at f8404000 (32-bit, non-prefetchable) [size=2K]
	Capabilities: [80] MSI: Enable+ Count=1/4 Maskable- 64bit-
	Capabilities: [70] Power Management version 3
	Capabilities: [a8] SATA HBA v1.0
	Kernel driver in use: ahci

Comment 3 Jochen Roth 2010-11-13 09:14:06 UTC
I fixed the problem by reinstalling Fedora 13 completely from scratch. I've never had this problem again since that day. 
I upgraded from F13 to F14 those days without having any trouble though.

Comment 4 Bug Zapper 2011-06-02 13:07:24 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Bug Zapper 2011-06-27 16:53:21 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.